/*
 Navicat Premium Data Transfer

 Source Server         : 156.234.193.212
 Source Server Type    : MySQL
 Source Server Version : 50734
 Source Host           : 156.234.193.212:33060
 Source Schema         : nodemonitor

 Target Server Type    : MySQL
 Target Server Version : 50734
 File Encoding         : 65001

 Date: 10/11/2022 10:21:15
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for node
-- ----------------------------
DROP TABLE IF EXISTS `node`;
CREATE TABLE `node` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID主键自动添加',
  `name` varchar(128) NOT NULL COMMENT '服务器名称',
  `host` varchar(20) NOT NULL COMMENT '服务器IP',
  `port` int(11) NOT NULL COMMENT '服务器端口',
  `url` text NOT NULL COMMENT '服务器切换地址',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `ping_type` int(11) NOT NULL DEFAULT '0' COMMENT '服务器延迟类型 0 icmp 1 tcp',
  `url_status` int(11) DEFAULT NULL COMMENT '用于表示url是否执行完成',
  `nodeMs` int(11) DEFAULT NULL COMMENT ' 服务器延迟',
  `url_count` int(11) DEFAULT '0' COMMENT '用于服务器切换IP执行次数',
  `url_ret` varchar(128) DEFAULT NULL COMMENT '切换服务器放回结果',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for nodeconfig
-- ----------------------------
DROP TABLE IF EXISTS `nodeconfig`;
CREATE TABLE `nodeconfig` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID主键',
  `serverid` int(11) NOT NULL COMMENT '服务器ID',
  `sshcommand` text NOT NULL COMMENT '服务器执行命令',
  `sshpassword` varchar(128) DEFAULT NULL COMMENT '服务器密码',
  `sshusername` varchar(128) DEFAULT NULL COMMENT 'ssh账号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for pingconfig
-- ----------------------------
DROP TABLE IF EXISTS `pingconfig`;
CREATE TABLE `pingconfig` (
  `node_die` int(11) DEFAULT '3' COMMENT '节点死亡次数用于判断节节点可用性',
  `node_count` int(11) DEFAULT '20' COMMENT '节点检测次数',
  `node_loos` int(11) DEFAULT '30' COMMENT '节点丢包率',
  `ping_time` int(11) DEFAULT '60' COMMENT '节点计划任务开启时间',
  `ping_name` varchar(128) DEFAULT 'ping_config' COMMENT '配置名称'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for pinglog
-- ----------------------------
DROP TABLE IF EXISTS `pinglog`;
CREATE TABLE `pinglog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `maxdelay` varchar(64) DEFAULT NULL COMMENT '最大延迟',
  `mindelay` varchar(64) DEFAULT NULL COMMENT '最小延迟',
  `avgdelay` varchar(64) DEFAULT NULL COMMENT '平均延迟',
  `losspk` varchar(64) DEFAULT NULL COMMENT '丢包率',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `serverid` int(11) DEFAULT NULL COMMENT '服务器ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3946 DEFAULT CHARSET=utf8mb4;

SET FOREIGN_KEY_CHECKS = 1;
