package controller

import (
	"golang.org/x/net/context"
	v1 "nodeMonitor/api/v1"
	"nodeMonitor/internal/model"
	"nodeMonitor/internal/service"
)

var PingConfig = sPingConfig{}

type sPingConfig struct {
}

func (c *sPingConfig) Get(ctx context.Context, req *v1.PingConfigGetReq) (res *v1.PingConfigGetRes, err error) {
	res = new(v1.PingConfigGetRes)

	res.PingConfig, err = service.PingConfig().Get(ctx)
	return
}
func (c *sPingConfig) Edit(ctx context.Context, req *v1.PingConfigEditReq) (res *v1.PingConfigEditRes, err error) {
	err = service.PingConfig().Edit(ctx, model.PingConfigEditInput{
		NodeDie:   req.NodeDie,
		NodeCount: req.NodeCount,
		NodeLoos:  req.NodeLoos,
		PingTime:  req.PingTime,
		PingName:  req.PingName,
	})
	return
}
