package config

import (
	"golang.org/x/net/context"
	"nodeMonitor/internal/dao"
	"nodeMonitor/internal/model/entity"
	"nodeMonitor/internal/service"
)

type (
	sConfig struct{}
)

func init() {
	service.RegisterConfig(New())
}

func New() *sConfig {
	return &sConfig{}
}

func (c *sConfig) GetConfig(ctx context.Context, name string) (*entity.Config, error) {
	var data = new(entity.Config)
	err := dao.Config.Ctx(ctx).Where("name", name).Scan(&data)
	if err != nil {
		return nil, err
	}
	return data, nil
}
