package pingconfig

import (
	"github.com/gogf/gf/v2/frame/g"
	"golang.org/x/net/context"
	"nodeMonitor/internal/dao"
	"nodeMonitor/internal/model"
	"nodeMonitor/internal/model/entity"
	"nodeMonitor/internal/service"
)

type (
	sPingConfig struct{}
)

func init() {
	service.RegisterPingConfig(New())
}

func New() *sPingConfig {
	return &sPingConfig{}
}

// Edit 编辑节点配置
func (c *sPingConfig) Edit(ctx context.Context, input model.PingConfigEditInput) error {
	/*
		do.Pingconfig{
				NodeDie:   input.NodeDie,
				NodeCount: input.NodeCount,
				NodeLoos:  input.NodeLoos,
				PingTime:  input.PingTime,
			}
	*/
	_, err := dao.Pingconfig.Ctx(ctx).Where("ping_name", input.PingName).Update(g.Map{
		"node_die":   input.NodeDie,
		"node_count": input.NodeCount,
		"node_loos":  input.NodeLoos,
		"ping_time":  input.PingTime,
	})
	return err
}

// Get   编辑节点配置
func (c *sPingConfig) Get(ctx context.Context) (*entity.Pingconfig, error) {
	var pingconfig = new(entity.Pingconfig)
	err := dao.Pingconfig.Ctx(ctx).Scan(&pingconfig)
	return pingconfig, err
}
