package syslog

import (
	"fmt"
	"github.com/gogf/gf/v2/frame/g"
	"golang.org/x/net/context"
	"nodeMonitor/internal/websocket"
)

func NotificationLog(ctx context.Context) {
	conn, _ := g.Redis().Conn(ctx)
	defer conn.Close(ctx)
	_, err := conn.Do(ctx, "SUBSCRIBE", "channel")
	if err != nil {
		panic(err)
	}
	for {
		reply, err := conn.Receive(ctx)
		if err != nil {
			panic(err)
		}
		fmt.Println(reply.String())
		websocket.SendToAll(&websocket.WResponse{
			Event: "syslog",
			Data:  g.Map{"msg": reply.String()},
		})
	}
}
